ReadOnlyIntegerPropertyBase (JavaFX 17)

Module javafx.base
Package javafx.beans.property

## Class ReadOnlyIntegerPropertyBase

- java.lang.Object
- - javafx.beans.binding.NumberExpressionBase
  - - javafx.beans.binding.IntegerExpression
    - - javafx.beans.property.ReadOnlyIntegerProperty
      - - javafx.beans.property.ReadOnlyIntegerPropertyBase

- All Implemented Interfaces:
    `NumberExpression`, `Observable`, `ReadOnlyProperty<Number>`, `ObservableIntegerValue`, `ObservableNumberValue`, `ObservableValue<Number>`
  Direct Known Subclasses:
    `ReadOnlyJavaBeanIntegerProperty`

      public abstract class ReadOnlyIntegerPropertyBase
      extends ReadOnlyIntegerProperty

  Base class for all readonly properties wrapping an `int`. This class provides a default implementation to attach listener.
  Since:
    JavaFX 2.0
  See Also:
    `ReadOnlyIntegerProperty`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReadOnlyIntegerPropertyBase()` | Creates a default `ReadOnlyIntegerPropertyBase`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `fireValueChangedEvent()` | Sends notifications to all attached `InvalidationListeners` and `ChangeListeners`.

    - ### Methods declared in class javafx.beans.property.ReadOnlyIntegerProperty

      `asObject, readOnlyIntegerProperty, toString`

    - ### Methods declared in class javafx.beans.binding.IntegerExpression

      `integerExpression, integerExpression`

    - ### Methods declared in class javafx.beans.binding.NumberExpressionBase

      `numberExpression`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods declared in interface javafx.beans.binding.NumberExpression

      `add, add, add, add, add, asString, asString, asString, divide, divide, divide, divide, divide, greaterThan, greaterThan, greaterThan, greaterThan, greaterThan, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, lessThan, lessThan, lessThan, lessThan, lessThan, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, multiply, multiply, multiply, multiply, multiply, negate, subtract, subtract, subtract, subtract, subtract`

    - ### Methods declared in interface javafx.beans.Observable

      `addListener, removeListener`

    - ### Methods declared in interface javafx.beans.value.ObservableIntegerValue

      `get`

    - ### Methods declared in interface javafx.beans.value.ObservableNumberValue

      `doubleValue, floatValue, intValue, longValue`

    - ### Methods declared in interface javafx.beans.value.ObservableValue

      `addListener, getValue, removeListener`

    - ### Methods declared in interface javafx.beans.property.ReadOnlyProperty

      `getBean, getName`

- - ### Constructor Detail

    - #### ReadOnlyIntegerPropertyBase

          public ReadOnlyIntegerPropertyBase()

      Creates a default `ReadOnlyIntegerPropertyBase`.

  - ### Method Detail

    - #### fireValueChangedEvent

          protected void fireValueChangedEvent()

      Sends notifications to all attached `InvalidationListeners` and `ChangeListeners`. This method needs to be called, if the value of this property changes.